Bug 725914 - Review Request: php-channel-pearplex - Adds the PearPlex channel to PEAR
Review Request: php-channel-pearplex - Adds the PearPlex channel to PEAR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 629214
  Show dependency treegraph
 
Reported: 2011-07-26 20:11 EDT by Robert Scheck
Modified: 2014-10-13 19:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-channel-pearplex-1.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-09 23:20:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2011-07-26 20:11:05 EDT
Spec URL: http://labs.linuxnetz.de/bugzilla/php-channel-pearplex.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php-channel-pearplex-1.3-1.src.rpm
Description:
This package adds the PearPlex channel which allows PEAR packages
from this channel to be installed.
Comment 1 Remi Collet 2011-07-31 05:01:21 EDT
%{channelname} is not defined, so %postun doesn't work.
Comment 2 Robert Scheck 2011-07-31 07:38:57 EDT
Thanks for pointing out this, should be corrected now:

Spec URL: http://labs.linuxnetz.de/bugzilla/php-channel-pearplex.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php-channel-pearplex-1.3-2.src.rpm
Comment 3 Remi Collet 2011-07-31 09:05:03 EDT
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [x] Rpmlint output:
W: unversioned-explicit-provides php-channel(pear.pearplex.net)
W: no-documentation
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the PHP specific items
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: Public Domain seems ok as not a real package (no source)
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : a8b5b68aafe983fceef0eb342ce66fbb  channel.xml
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f15.x86_64
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Packages don't bundle copies of system librarie
 [-] Package is not relocatable.
 [-] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [-] All filenames in rpm packages must be valid UTF-8
 [-] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Final requires
/usr/bin/pear  
php-pear(PEAR)  
 [x] Final provides
php-channel(pear.pearplex.net)  
php-channel-pearplex = 1.3-2.fc15.remi
 [-] Latest version is packaged.
 [-] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [-] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [-] Reviewer should test that the package builds in mock.
     Tested on: Koji 
	http://koji.fedoraproject.org/koji/taskinfo?taskID=3241223
 [-] The package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [x] Package functions as described.
 [x] If scriptlets are used, those scriptlets must be sane. 
 [x] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [-] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] %check is present and the tests pass


========
APPROVED
========
Comment 4 Robert Scheck 2011-07-31 09:11:10 EDT
Remi, thank you very much for the review.


New Package SCM Request
=======================
Package Name: php-channel-pearplex
Short Description: Adds the PearPlex channel to PEAR
Owners: robert
Branches: el5 el6 f14 f15 f16
InitialCC:
Comment 5 Gwyn Ciesla 2011-07-31 15:41:02 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-07-31 16:06:58 EDT
php-channel-pearplex-1.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-channel-pearplex-1.3-2.fc16
Comment 7 Fedora Update System 2011-07-31 16:07:20 EDT
php-channel-pearplex-1.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-channel-pearplex-1.3-2.fc15
Comment 8 Fedora Update System 2011-07-31 16:07:38 EDT
php-channel-pearplex-1.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-channel-pearplex-1.3-2.fc14
Comment 9 Fedora Update System 2011-07-31 16:08:02 EDT
php-channel-pearplex-1.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-channel-pearplex-1.3-2.el6
Comment 10 Fedora Update System 2011-07-31 16:08:22 EDT
php-channel-pearplex-1.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-channel-pearplex-1.3-2.el5
Comment 11 Fedora Update System 2011-08-01 20:32:50 EDT
php-channel-pearplex-1.3-2.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 12 Fedora Update System 2011-08-09 23:20:08 EDT
php-channel-pearplex-1.3-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 13 Fedora Update System 2011-08-09 23:24:16 EDT
php-channel-pearplex-1.3-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 14 Fedora Update System 2011-08-22 11:24:33 EDT
php-channel-pearplex-1.3-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2011-08-26 17:53:25 EDT
php-channel-pearplex-1.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 16 Fedora Update System 2011-08-26 17:54:19 EDT
php-channel-pearplex-1.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Robert Scheck 2014-10-11 17:23:23 EDT
Package Change Request
======================
Package Name: php-channel-pearplex
New Branches: epel7
Owners: robert
Comment 18 Kevin Fenzi 2014-10-13 19:03:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.